WP5GeneralPacketData Class Reference documentation

WP5GeneralPacketData Class Referenceabstract

`#include <WP5GeneralPacketData.h>`

Inheritance diagram for WP5GeneralPacketData:

## Public Member Functions
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Static Public Member Functions
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)

## Protected Member Functions
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize)=0
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP5GeneralPacketData()

WP5GeneralPacketData::WP5GeneralPacketData | ( |  | ) |

Referenced by constructGeneralPacketData(), WP5FontNameStringPoolPacket::WP5FontNameStringPoolPacket(), WP5GraphicsInformationPacket::WP5GraphicsInformationPacket(), and WP5ListFontsUsedPacket::WP5ListFontsUsedPacket().

## ◆ ~WP5GeneralPacketData()

virtual WP5GeneralPacketData::~WP5GeneralPacketData | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ _read()

void WP5GeneralPacketData::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )
| protectedvirtual

Referenced by WP5FontNameStringPoolPacket::WP5FontNameStringPoolPacket(), WP5GraphicsInformationPacket::WP5GraphicsInformationPacket(), and WP5ListFontsUsedPacket::WP5ListFontsUsedPacket().

## ◆ _readContents()

virtual void WP5GeneralPacketData::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize )
| protectedpure virtual

Implemented in WP5FontNameStringPoolPacket, WP5GraphicsInformationPacket, and WP5ListFontsUsedPacket.

Referenced by _read().

## ◆ constructGeneralPacketData()

WP5GeneralPacketData * WP5GeneralPacketData::constructGeneralPacketData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP5GeneralPacketIndex * | packetIndex )
| static

The documentation for this class was generated from the following files:

- WP5GeneralPacketData.h
- WP5GeneralPacketData.cpp